Subject: Re: send-pack: limit on negative references

From: Andy Whitcroft <[email-masked]>
Date: Tue, 05 Sep 2006 22:32:01 +0100

Junio C Hamano wrote:
> Andy Whitcroft <[email-masked]> writes:
> 
>> I've been having trouble with git push apparently resending the entire
>> commit trace for the branch each and every time I push; even with short
>> branch names.  This seems to be related to the changes made to handle
>> the case where the remote end has a large number of branches (>900).
> 
> I think the right fix is to do one or both of the following, and
> lift that 900 cut-off entirely.
> 
> One is to teach rev-list to read the information it is taking
> from the command line instead from its standard input.
> 
> Another is to teach pack-object the same trick on top of my
> patch last night.  This has an added benefit that we save one
> pipe+fork+exec there.
> 
> These are essentially suggestions from Linus made twice
> separately in the past, so they must be on the right track ;-).
> 
> If nobody does, I would do it myself, but the list is welcome to
> beat me to it.  Especially, the former (giving --stdin option to
> rev-list) should be trivial.

Ok, I'll have a go at this one.  As you say it looks pretty simple to
reuse the command line revision parser on an incoming stream.

-apw